
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>api.models &#8212; DCMC Master Client v1.0.0 documentation</title>
    <link rel="stylesheet" href="../../_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script type="text/javascript" src="../../_static/jquery.js"></script>
    <script type="text/javascript" src="../../_static/underscore.js"></script>
    <script type="text/javascript" src="../../_static/doctools.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
   
  <link rel="stylesheet" href="../../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <h1>Source code for api.models</h1><div class="highlight"><pre>
<span></span><span class="kn">from</span> <span class="nn">django.db</span> <span class="kn">import</span> <span class="n">models</span>


<div class="viewcode-block" id="Load"><a class="viewcode-back" href="../../index.html#api.models.Load">[docs]</a><span class="k">class</span> <span class="nc">Load</span><span class="p">(</span><span class="n">models</span><span class="o">.</span><span class="n">Model</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;Load Model Class.</span>

<span class="sd">    Attributes</span>
<span class="sd">    ----------</span>
<span class="sd">    vc_tag : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The VC Tag as generated by the VCG</span>
<span class="sd">    date : :py:class:`~django.db.models.DateTimeField`</span>
<span class="sd">        The time on which the request is created</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">vc_tag</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The VC Tag as generated by the VCG&#39;</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>
    <span class="n">date</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">DateTimeField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The time on which the request is created&#39;</span><span class="p">)</span>

    <span class="k">class</span> <span class="nc">Meta</span><span class="p">:</span>
        <span class="n">order_with_respect_to</span> <span class="o">=</span> <span class="s1">&#39;date&#39;</span>

    <span class="k">def</span> <span class="fm">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">return</span> <span class="s1">&#39;DATE: </span><span class="si">%s</span><span class="s1"> | VC_TAG: </span><span class="si">%s</span><span class="s1">&#39;</span> <span class="o">%</span> <span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">date</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">vc_tag</span><span class="p">)</span></div>


<div class="viewcode-block" id="LoadValue"><a class="viewcode-back" href="../../index.html#api.models.LoadValue">[docs]</a><span class="k">class</span> <span class="nc">LoadValue</span><span class="p">(</span><span class="n">models</span><span class="o">.</span><span class="n">Model</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;Load Value Model Class.</span>

<span class="sd">    Attributes</span>
<span class="sd">    ----------</span>
<span class="sd">    load : :py:class:`~django.db.models.ForeignKey` to :class:`.Load`</span>
<span class="sd">        The Load object of this LoadValue</span>
<span class="sd">    parameter : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The name of the load characteristic</span>
<span class="sd">    value : :py:class:`~django.db.models.FloatField`</span>
<span class="sd">        The value quantifying the load characteristic</span>
<span class="sd">    uom : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The unit of measurement of the value depending on the parameter</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">LOAD_PARAMETERS</span> <span class="o">=</span> <span class="p">(</span>
        <span class="p">(</span><span class="s1">&#39;cpu&#39;</span><span class="p">,</span> <span class="s1">&#39;cpu&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;ram&#39;</span><span class="p">,</span> <span class="s1">&#39;ram&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;disk&#39;</span><span class="p">,</span> <span class="s1">&#39;disk&#39;</span><span class="p">)</span>
    <span class="p">)</span>

    <span class="n">load</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">ForeignKey</span><span class="p">(</span><span class="n">Load</span><span class="p">,</span> <span class="n">related_name</span><span class="o">=</span><span class="s1">&#39;load_values&#39;</span><span class="p">,</span> <span class="n">on_delete</span><span class="o">=</span><span class="n">models</span><span class="o">.</span><span class="n">CASCADE</span><span class="p">)</span>
    <span class="n">parameter</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The name of the load characteristic&#39;</span><span class="p">,</span> <span class="n">choices</span><span class="o">=</span><span class="n">LOAD_PARAMETERS</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
    <span class="n">value</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">FloatField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The value quantifying the load characteristic&#39;</span><span class="p">)</span>
    <span class="n">uom</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The unit of measurement of the value depending on the parameter&#39;</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>

    <span class="k">class</span> <span class="nc">Meta</span><span class="p">:</span>
        <span class="n">order_with_respect_to</span> <span class="o">=</span> <span class="s1">&#39;load&#39;</span>

    <span class="k">def</span> <span class="fm">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">return</span> <span class="s1">&#39;PARAMETER: </span><span class="si">%s</span><span class="s1"> | VALUE: </span><span class="si">%s</span><span class="s1"> | UOM: </span><span class="si">%s</span><span class="s1">&#39;</span> <span class="o">%</span> <span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">parameter</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">value</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">uom</span><span class="p">)</span></div>


<div class="viewcode-block" id="Migration"><a class="viewcode-back" href="../../index.html#api.models.Migration">[docs]</a><span class="k">class</span> <span class="nc">Migration</span><span class="p">(</span><span class="n">models</span><span class="o">.</span><span class="n">Model</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;Migration Model Class.</span>

<span class="sd">    Attributes</span>
<span class="sd">    ----------</span>
<span class="sd">    load : :py:class:`~django.db.models.ForeignKey` to :class:`.Load`</span>
<span class="sd">        The Load object of this LoadValue</span>
<span class="sd">    status : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The migration status</span>
<span class="sd">    marketaction : :py:class:`~django.db.models.IntegerField`</span>
<span class="sd">        The ID of the market action corresponding to migration</span>
<span class="sd">    action_type : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The type of market action placed on the Catalyst ITLM</span>
<span class="sd">    price : :py:class:`~django.db.models.FloatField`</span>
<span class="sd">        The price suggested for the migration action</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">MIGRATION_STATUSES</span> <span class="o">=</span> <span class="p">(</span>
        <span class="p">(</span><span class="s1">&#39;pending&#39;</span><span class="p">,</span> <span class="s1">&#39;Migration is pending&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;posted&#39;</span><span class="p">,</span> <span class="s1">&#39;Migration has been posted&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;rejected&#39;</span><span class="p">,</span> <span class="s1">&#39;Migration was rejected&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;started&#39;</span><span class="p">,</span> <span class="s1">&#39;Migration has started&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;success&#39;</span><span class="p">,</span> <span class="s1">&#39;Migration succeeded&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;failed&#39;</span><span class="p">,</span> <span class="s1">&#39;Migration has failed&#39;</span><span class="p">),</span>
    <span class="p">)</span>
    <span class="n">ACTION_TYPES</span> <span class="o">=</span> <span class="p">(</span>
        <span class="p">(</span><span class="s1">&#39;bid&#39;</span><span class="p">,</span> <span class="s1">&#39;bid&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;offer&#39;</span><span class="p">,</span> <span class="s1">&#39;offer&#39;</span><span class="p">)</span>
    <span class="p">)</span>

    <span class="n">load</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">ForeignKey</span><span class="p">(</span><span class="n">Load</span><span class="p">,</span> <span class="n">related_name</span><span class="o">=</span><span class="s1">&#39;migrations&#39;</span><span class="p">,</span> <span class="n">on_delete</span><span class="o">=</span><span class="n">models</span><span class="o">.</span><span class="n">CASCADE</span><span class="p">)</span>
    <span class="n">status</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The migration status&#39;</span><span class="p">,</span> <span class="n">choices</span><span class="o">=</span><span class="n">MIGRATION_STATUSES</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">10</span><span class="p">)</span>
    <span class="n">marketaction</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">IntegerField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The ID of the market action corresponding to migration&#39;</span><span class="p">,</span>
                                       <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
    <span class="n">action_type</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The type of market action placed on the Catalyst ITLM&#39;</span><span class="p">,</span>
                                   <span class="n">choices</span><span class="o">=</span><span class="n">ACTION_TYPES</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">6</span><span class="p">)</span>
    <span class="n">price</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">FloatField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The price suggested for the migration action&#39;</span><span class="p">)</span>

    <span class="k">class</span> <span class="nc">Meta</span><span class="p">:</span>
        <span class="n">ordering</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;load&#39;</span><span class="p">,</span> <span class="s1">&#39;marketaction&#39;</span><span class="p">]</span>

    <span class="k">def</span> <span class="fm">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">return</span> <span class="s1">&#39;MARKETACTION: </span><span class="si">%s</span><span class="s1"> | ACTION_TYPE: </span><span class="si">%s</span><span class="s1"> | PRICE: </span><span class="si">%s</span><span class="s1"> | STATUS: </span><span class="si">%s</span><span class="s1">&#39;</span> <span class="o">%</span> \
               <span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">marketaction</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">action_type</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">price</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">status</span><span class="p">)</span></div>


<div class="viewcode-block" id="MigrationDetails"><a class="viewcode-back" href="../../index.html#api.models.MigrationDetails">[docs]</a><span class="k">class</span> <span class="nc">MigrationDetails</span><span class="p">(</span><span class="n">models</span><span class="o">.</span><span class="n">Model</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;Migration Details Model Class.</span>

<span class="sd">    Attributes</span>
<span class="sd">    ----------</span>
<span class="sd">    marketaction : :py:class:`~django.db.models.IntegerField`</span>
<span class="sd">        The ID of the market action corresponding to the migration</span>
<span class="sd">    source : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The username of the migration&#39;s source DC as understood by the DCMC Server</span>
<span class="sd">    destination : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The username of the destination DC as understood by the DCMC Server</span>
<span class="sd">    delivery_start : :py:class:`~django.db.models.DateTimeField`</span>
<span class="sd">        The time on which the migration is planned to start</span>
<span class="sd">    delivery_end : :py:class:`~django.db.models.DateTimeField`</span>
<span class="sd">        The time on which the remote execution is planned to end</span>
<span class="sd">    transaction : :py:class:`~django.db.models.IntegerField`</span>
<span class="sd">        The ID of the transaction as kept in the CATALYST IT Load Marketplace</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">marketaction</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">IntegerField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The ID of the market action corresponding to the migration&#39;</span><span class="p">)</span>
    <span class="n">source</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The username of the migration</span><span class="se">\&#39;</span><span class="s1">s source DC as understood by the DCMC Server&#39;</span><span class="p">,</span>
                              <span class="n">max_length</span><span class="o">=</span><span class="mi">30</span><span class="p">)</span>
    <span class="n">destination</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The username of the destination DC as understood by the DCMC Server&#39;</span><span class="p">,</span>
                                   <span class="n">max_length</span><span class="o">=</span><span class="mi">30</span><span class="p">)</span>
    <span class="n">delivery_start</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">DateTimeField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The time on which the migration is planned to start&#39;</span><span class="p">)</span>
    <span class="n">delivery_end</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">DateTimeField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The time on which the remote execution is planned to end&#39;</span><span class="p">)</span>
    <span class="n">transaction</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">IntegerField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The ID of the transaction as kept in the CATALYST IT Load Marketplace&#39;</span><span class="p">)</span>

    <span class="k">class</span> <span class="nc">Meta</span><span class="p">:</span>
        <span class="n">order_with_respect_to</span> <span class="o">=</span> <span class="s1">&#39;marketaction&#39;</span>

    <span class="k">def</span> <span class="fm">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">return</span> <span class="s1">&#39;MARKETACTION: </span><span class="si">%s</span><span class="s1"> | SOURCE: </span><span class="si">%s</span><span class="s1"> | DESTINATION: </span><span class="si">%s</span><span class="s1"> | DELIVERY_START: </span><span class="si">%s</span><span class="s1"> | DELIVERY_END </span><span class="si">%s</span><span class="s1">&#39;</span> <span class="o">%</span> \
               <span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">marketaction</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">source</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">delivery_start</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">delivery_end</span><span class="p">)</span></div>


<div class="viewcode-block" id="MigrationOperationalDetails"><a class="viewcode-back" href="../../index.html#api.models.MigrationOperationalDetails">[docs]</a><span class="k">class</span> <span class="nc">MigrationOperationalDetails</span><span class="p">(</span><span class="n">models</span><span class="o">.</span><span class="n">Model</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;Migration Operational Details Model Class.</span>

<span class="sd">    Attributes</span>
<span class="sd">    ----------</span>
<span class="sd">    vcontainer_uuid : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        UUID of VContainer under Migration</span>
<span class="sd">    source_cmp : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The hostname of the source CMP node</span>
<span class="sd">    source_cmp_ip : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The IP of the source CMP node</span>
<span class="sd">    destination_cmp : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The hostname of the destination CMP node</span>
<span class="sd">    destination_cmp_ip : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The IP of the destination CMP node</span>
<span class="sd">    transaction : :py:class:`~django.db.models.IntegerField`</span>
<span class="sd">        The ID of the transaction as kept in the CATALYST IT Load Marketplace</span>
<span class="sd">    tun_device : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The tunnel device opened for the transaction&#39;s VPN connection</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">vcontainer_uuid</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;UUID of VContainer Under Migration&#39;</span><span class="p">)</span>
    <span class="n">source_cmp</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">30</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;Hostname of source CMP&#39;</span><span class="p">)</span>
    <span class="n">source_cmp_url</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">30</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;VPN IP of source CMP&#39;</span><span class="p">)</span>
    <span class="n">is_source_cmp_ready</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">BooleanField</span><span class="p">(</span><span class="n">default</span><span class="o">=</span><span class="kc">False</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;Is source CMP ready for migration?&#39;</span><span class="p">)</span>
    <span class="n">destination_cmp</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">30</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;Hostname of destination CMP&#39;</span><span class="p">,</span> <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
    <span class="n">destination_cmp_url</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">30</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;VPN IP of destination CMP&#39;</span><span class="p">,</span> <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
    <span class="n">is_destination_cmp_ready</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">BooleanField</span><span class="p">(</span><span class="n">default</span><span class="o">=</span><span class="kc">False</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;Is destination CMP ready for migration?&#39;</span><span class="p">)</span>
    <span class="n">transaction</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">IntegerField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The ID of the transaction as kept in the CATALYST IT Load Marketplace&#39;</span><span class="p">)</span>
    <span class="n">tun_device</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The tun device of the transaction&#39;</span><span class="p">,</span> <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>

    <span class="k">class</span> <span class="nc">Meta</span><span class="p">:</span>
        <span class="n">order_with_respect_to</span> <span class="o">=</span> <span class="s1">&#39;transaction&#39;</span>

    <span class="k">def</span> <span class="fm">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">return</span> <span class="s1">&#39;TRANSACTION: </span><span class="si">%s</span><span class="s1"> | SOURCE_CMP: </span><span class="si">%s</span><span class="s1"> [</span><span class="si">%s</span><span class="s1">] | DESTINATION_CMP: </span><span class="si">%s</span><span class="s1"> [</span><span class="si">%s</span><span class="s1">]&#39;</span> <span class="o">%</span> \
               <span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">transaction</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">source_cmp</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">source_cmp_url</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">destination_cmp</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">destination_cmp_url</span><span class="p">)</span></div>


<div class="viewcode-block" id="VContainer"><a class="viewcode-back" href="../../index.html#api.models.VContainer">[docs]</a><span class="k">class</span> <span class="nc">VContainer</span><span class="p">(</span><span class="n">models</span><span class="o">.</span><span class="n">Model</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot; vContainer Model Class.</span>

<span class="sd">    Attributes</span>
<span class="sd">    ----------</span>
<span class="sd">    cpu : :py:class:`~django.db.models.IntegerField`</span>
<span class="sd">        The number of CPU cores of the VC described</span>
<span class="sd">    cpu_uom : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The unit of measurement for the CPU value</span>
<span class="sd">    ram : :py:class:`~django.db.models.IntegerField`</span>
<span class="sd">        The amount of RAM of the VC described</span>
<span class="sd">    ram_uom : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The unit of measurement for the RAM value</span>
<span class="sd">    disk : :py:class:`~django.db.models.IntegerField`</span>
<span class="sd">        The amount of disk of the VC described</span>
<span class="sd">    disk_uom : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The unit of measurement for the disk value</span>
<span class="sd">    start : :py:class:`~django.db.models.DateTimeField`</span>
<span class="sd">        The time from which the VC is planned to be active</span>
<span class="sd">    end : :py:class:`~django.db.models.DateTimeField`</span>
<span class="sd">        The time until which the VC is planned to be active</span>
<span class="sd">    transaction : :py:class:`~django.db.models.IntegerField`</span>
<span class="sd">        The ID of the transaction as kept in the CATALYST IT Load Marketplace</span>
<span class="sd">    status : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The status of the VC</span>
<span class="sd">    uuid : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        Identification information of the issuing VM</span>
<span class="sd">    covpn_owner: :py:class:`~django.db.models.CharField`</span>
<span class="sd">        Cloud OpenVPN Connection Initiator</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">VC_STATUSES</span> <span class="o">=</span> <span class="p">(</span>
        <span class="p">(</span><span class="s1">&#39;created&#39;</span><span class="p">,</span> <span class="s1">&#39;VC has been created&#39;</span><span class="p">),</span>
        <span class="p">(</span><span class="s1">&#39;registered&#39;</span><span class="p">,</span> <span class="s1">&#39;VC has been registered&#39;</span><span class="p">)</span>
    <span class="p">)</span>

    <span class="n">cpu</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">IntegerField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The number of CPU cores of the VC described&#39;</span><span class="p">)</span>
    <span class="n">cpu_uom</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The unit of measurement for the CPU value&#39;</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
    <span class="n">ram</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">IntegerField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The amount of RAM of the VC described&#39;</span><span class="p">)</span>
    <span class="n">ram_uom</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The unit of measurement for the RAM value&#39;</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
    <span class="n">disk</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">IntegerField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The amount of disk of the VC described&#39;</span><span class="p">)</span>
    <span class="n">disk_uom</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The unit of measurement for the disk value&#39;</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
    <span class="n">start</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">DateTimeField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The time from which the VC is planned to be active&#39;</span><span class="p">)</span>
    <span class="n">end</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">DateTimeField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The time until which the VC is planned to be active&#39;</span><span class="p">)</span>
    <span class="n">transaction</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">IntegerField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The ID of the transaction as kept in the CATALYST IT Load Marketplace&#39;</span><span class="p">)</span>
    <span class="n">status</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The status of the VC&#39;</span><span class="p">,</span> <span class="n">choices</span><span class="o">=</span><span class="n">VC_STATUSES</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span>
                              <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
    <span class="n">uuid</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;Identification information of the issuing VM&#39;</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">100</span><span class="p">,</span>
                            <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
    <span class="n">covpn_owner</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;Owner of VPN connection for the vContainer to connect to&#39;</span><span class="p">,</span> <span class="n">max_length</span><span class="o">=</span><span class="mi">32</span><span class="p">,</span>
                                   <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>

    <span class="k">class</span> <span class="nc">Meta</span><span class="p">:</span>
        <span class="n">order_with_respect_to</span> <span class="o">=</span> <span class="s1">&#39;transaction&#39;</span>

    <span class="k">def</span> <span class="fm">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">return</span> <span class="s1">&#39;TRANSACTION: </span><span class="si">%s</span><span class="s1"> | UUID: </span><span class="si">%s</span><span class="s1"> | FLAVOR: </span><span class="si">%s</span><span class="s1">-</span><span class="si">%s</span><span class="s1">-</span><span class="si">%s</span><span class="s1"> | STATUS: </span><span class="si">%s</span><span class="s1">&#39;</span> <span class="o">%</span> \
               <span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">transaction</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">uuid</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">cpu</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">ram</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">disk</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">status</span><span class="p">)</span></div>


<div class="viewcode-block" id="Hypervisor"><a class="viewcode-back" href="../../index.html#api.models.Hypervisor">[docs]</a><span class="k">class</span> <span class="nc">Hypervisor</span><span class="p">(</span><span class="n">models</span><span class="o">.</span><span class="n">Model</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;Hypervisor Model Class.</span>

<span class="sd">    Attributes</span>
<span class="sd">    ----------</span>
<span class="sd">    host_ip : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The IP of the Hypervisor&#39;s Host</span>
<span class="sd">    host_name : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The name of the Hypervisor&#39;s Host</span>
<span class="sd">    public_ssh_key : :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The public SSH Key of the Hypervisor&#39;s Host</span>
<span class="sd">    vpn_ip :  :py:class:`~django.db.models.CharField`</span>
<span class="sd">        The VPN IP of the Hypervisor</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">host_ip</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">16</span><span class="p">,</span> <span class="n">unique</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The Hypervisor</span><span class="se">\&#39;</span><span class="s1">s Host IP&#39;</span><span class="p">)</span>
    <span class="n">host_name</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">30</span><span class="p">,</span> <span class="n">unique</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The Hypervisor</span><span class="se">\&#39;</span><span class="s1">s Host Name&#39;</span><span class="p">)</span>
    <span class="n">public_ssh_key</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">2048</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The Hypervisor</span><span class="se">\&#39;</span><span class="s1">s Public SSH Key&#39;</span><span class="p">,</span> <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
    <span class="n">vpn_ip</span> <span class="o">=</span> <span class="n">models</span><span class="o">.</span><span class="n">CharField</span><span class="p">(</span><span class="n">max_length</span><span class="o">=</span><span class="mi">16</span><span class="p">,</span> <span class="n">help_text</span><span class="o">=</span><span class="s1">&#39;The Hypervisor</span><span class="se">\&#39;</span><span class="s1">s VPN IP&#39;</span><span class="p">,</span> <span class="n">blank</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">null</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>

    <span class="k">class</span> <span class="nc">Meta</span><span class="p">:</span>
        <span class="n">order_with_respect_to</span> <span class="o">=</span> <span class="s1">&#39;host_name&#39;</span>
        <span class="n">unique_together</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;host_ip&#39;</span><span class="p">,</span> <span class="s1">&#39;host_name&#39;</span><span class="p">)</span>

    <span class="k">def</span> <span class="fm">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">return</span> <span class="s1">&#39;HOST_NAME: </span><span class="si">%s</span><span class="s1"> | HOST_IP: </span><span class="si">%s</span><span class="s1"> | VPN_IP: </span><span class="si">%s</span><span class="s1">&#39;</span> <span class="o">%</span> <span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">host_name</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">host_ip</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">vpn_ip</span><span class="p">)</span></div>
</pre></div>

          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper"><div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../../index.html">Documentation overview</a><ul>
  <li><a href="../index.html">Module code</a><ul>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, Power Operations Ltd..
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.0</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
    </div>

    

    
  </body>
</html>